%global __requires_exclude ^perl\\((ExtUtils::Install|Module::Metadata|Perl::OSType))
%global cpan_version 0.4234

Summary:        Perl module to configure and build modules
Name:           perl-Module-Build
Epoch:          2
Version:        0.42.34
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Build
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/Module-Build-%{cpan_version}.tar.gz

BuildRequires:  coreutils perl-interpreter perl-devel perl-generators perl(Carp) perl(Config)
BuildRequires:  perl(Cwd) perl(Data::Dumper) perl(Exporter) perl(ExtUtils::Packlist) perl(vars)
BuildRequires:  perl(File::Basename) perl(File::Compare) perl(File::Copy) perl(File::Find)
BuildRequires:  perl(File::Path) perl(lib) perl(strict) perl(Text::ParseWords) perl(warnings)
BuildRequires:  perl(CPAN::Meta::YAML) >= 0.003
BuildRequires:  perl(ExtUtils::Install) >= 0.3
BuildRequires:  perl(ExtUtils::Manifest) >= 1.54
BuildRequires:  perl(File::Spec) >= 0.82
BuildRequires:  perl(Module::Metadata) >= 1.000002
BuildRequires:  perl(Perl::OSType) >= 1
BuildRequires:  perl(version) >= 0.87
# For test suite
BuildRequires:  perl(AutoSplit) perl(base) perl(blib) perl(utf8) perl(TAP::Harness) perl(DynaLoader)
BuildRequires:  perl(Getopt::Long) perl(ExtUtils::Installed) perl(ExtUtils::Mkbootstrap)
BuildRequires:  perl(CPAN::Meta::Merge) perl(File::Spec::Functions) perl(TAP::Harness::Env)
BuildRequires:  perl(CPAN::Meta) >= 2.142060
BuildRequires:  perl(CPAN::Meta::Converter) >= 2.141170
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.27
BuildRequires:  perl(ExtUtils::ParseXS) >= 2.21
BuildRequires:  perl(File::Temp) >= 0.15
BuildRequires:  perl(Parse::CPAN::Meta) >= 1.4401
BuildRequires:  perl(Test::Harness) >= 3.29
BuildRequires:  perl(Test::More) >= 0.49
Requires:       perl(CPAN::Meta::Merge) perl(ExtUtils::Mkbootstrap) perl(inc::latest)
Requires:       perl(Test::Harness) perl(Pod::Html) perl(Pod::Text)
Requires:       perl(TAP::Harness::Env) perl(Software::License)
Requires:       perl(CPAN::Meta) >= 2.142060
Requires:       perl(CPAN::Meta::Converter) >= 2.141170
Requires:       perl(ExtUtils::Install) >= 0.3
Requires:       perl(ExtUtils::Manifest) >= 1.54
Requires:       perl(ExtUtils::ParseXS) >= 2.21
Requires:       perl(Module::Metadata) >= 1.000002
Requires:       perl(Perl::OSType) >= 1
Requires:       perl(Pod::Man) >= 2.17
Recommends:     perl(ExtUtils::CBuilder) >= 0.27
BuildArch:      noarch

%description
Module::Build is a system for building, testing, and installing Perl
modules. It is meant to be an alternative to ExtUtils::MakeMaker.
Developers may alter the behavior of the module through subclassing. It
also does not require a make on your system - most of the Module::Build
code is pure-perl and written in a very cross-platform way.

%prep
%autosetup -p1 -n Module-Build-%{cpan_version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} -c %{buildroot}

%check
rm t/signature.t
LANG=C TEST_SIGNATURE=1 MB_TEST_EXPERIMENTAL=1 ./Build test

%files
%license LICENSE
%doc Changes contrib README
%{_bindir}/config_data
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2:0.42.34-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2:0.42.34-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2:0.42.34-1
- Upgrade to upstream version 0.42.34
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2:0.42.31-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2:0.42.31-2
- Rebuilt for OpenCloudOS Stream 23

* Thu May 26 2022 Xiaojie Chen <jackxjchen@tencent.com> 2:0.42.31-1
- Initial build
